public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/dosbox-staging/
Date: Fri, 14 Jun 2024 10:47:39 +0000 (UTC)	[thread overview]
Message-ID: <1718361622.e7aa35a88d9de3daaed1a3ff551f416665809a61.voyageur@gentoo> (raw)

commit:     e7aa35a88d9de3daaed1a3ff551f416665809a61
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 10:00:07 2024 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 10:40:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7aa35a8

games-emulation/dosbox-staging: add 0.81.1 (actual release)

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 games-emulation/dosbox-staging/Manifest            |  1 +
 .../dosbox-staging/dosbox-staging-0.81.1.ebuild    | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/games-emulation/dosbox-staging/Manifest b/games-emulation/dosbox-staging/Manifest
index 9da9930aaf7f..a404b3b32746 100644
--- a/games-emulation/dosbox-staging/Manifest
+++ b/games-emulation/dosbox-staging/Manifest
@@ -1,2 +1,3 @@
 DIST dosbox-staging-0.80.1.tar.gz 3876041 BLAKE2B bfc260cb4d2ff01ac8538bbb2de65847ac32e81873dae42d2d4e84f1b9be5370be5d19bd2d209e7b1bc92f03f072ecd349df615869dcefde2f27074a6712874b SHA512 8d28761e998c033b0cad5ca49c1a094d0ff2ca8a45183101c31805dda6a8e6861805739e723492329cab525af782849ec34ae97d29449d6c50e781475a011561
 DIST dosbox-staging-0.81.0.tar.gz 6943457 BLAKE2B 088fef12a6e0627a146b47f6b581af39f07d4acd47098650aa18a61d5b77d6255196838036037f1df2b61dc288163dc8c1da57b0669a3a8e9ceea8a9ec275494 SHA512 96257602b0133ec78fbc7bd5803404d91abf673172e97319067a0f3f97db8860ae6d4771bb03cff5b73e033f220cb4fa6cd778cf549a9bc63e3550def9aa8797
+DIST dosbox-staging-0.81.1.tar.gz 7021582 BLAKE2B dfee4255db923aba1be2941e0c70fbd0bccc894a245c68907b25d111209cdac3c8cf7854427197915f55a37bdf32b3450e7afa048ee4200ea36de11facfefbae SHA512 6856612dc45ec768cd5bb73a1e5d9a351ff779e1c74de2389675c0f5fe4276037eea4e953d1d38387d5e8c8d88f109805ec0fdeed144d0814662b0c5de2ae287

diff --git a/games-emulation/dosbox-staging/dosbox-staging-0.81.1.ebuild b/games-emulation/dosbox-staging/dosbox-staging-0.81.1.ebuild
new file mode 100644
index 000000000000..8dc276da8126
--- /dev/null
+++ b/games-emulation/dosbox-staging/dosbox-staging-0.81.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit flag-o-matic meson xdg
+
+DESCRIPTION="Modernized DOSBox soft-fork"
+HOMEPAGE="https://dosbox-staging.github.io/"
+SRC_URI="https://github.com/dosbox-staging/dosbox-staging/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="+alsa debug dynrec +fluidsynth mt-32 network opengl slirp test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+	debug? ( sys-libs/ncurses:0= )
+	fluidsynth? (
+		media-sound/fluid-soundfont
+		media-sound/fluidsynth
+	)
+	mt-32? ( media-libs/munt-mt32emu )
+	network? ( media-libs/sdl2-net )
+	opengl? ( virtual/opengl )
+	slirp? ( net-libs/libslirp )
+	media-libs/iir1
+	media-libs/libpng:0=
+	media-libs/libsdl2[joystick,opengl?,video,X]
+	media-libs/opusfile
+	media-libs/speexdsp
+	sys-libs/zlib
+	!games-emulation/dosbox"
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( dev-cpp/gtest )"
+
+DOCS=( AUTHORS README THANKS )
+
+src_prepare() {
+	default
+
+	# We do not have default.sf2, use actual name from fluid-soundfont
+	sed -e "s/default.sf2/FluidR3_GM.sf2/" \
+		-i src/midi/midi_fluidsynth.cpp || die
+
+	# Disable license and docs install (handled by ebuild)
+	sed -e "/licenses_dir\|doc_dir/d" -i meson.build || die
+}
+
+src_configure() {
+	# -Werror=odr
+	# https://bugs.gentoo.org/926078
+	# https://github.com/dosbox-staging/dosbox-staging/issues/3519
+	filter-lto
+
+	# xinput2 comes with libsdl2[X]
+	local emesonargs=(
+		-Duse_xinput2=true
+		$(meson_use alsa use_alsa)
+		$(meson_use debug)
+		-Ddynamic_core=$(usex dynrec dynrec dyn-x86)
+		$(meson_use fluidsynth use_fluidsynth)
+		$(meson_use mt-32 use_mt32emu)
+		$(meson_use network use_sdl2_net)
+		$(meson_use opengl use_opengl)
+		$(meson_use slirp use_slirp)
+		$(meson_feature test unit_tests)
+	)
+	meson_src_configure
+}


             reply	other threads:[~2024-06-14 10:47 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-14 10:47 Bernard Cafarelli [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-14 21:09 [gentoo-commits] repo/gentoo:master commit in: games-emulation/dosbox-staging/ Bernard Cafarelli
2024-04-07 19:10 Bernard Cafarelli
2024-04-07 19:10 Bernard Cafarelli
2024-03-18  5:31 Sam James
2024-02-14 13:17 Bernard Cafarelli
2023-01-11 21:50 Bernard Cafarelli
2022-12-26 23:18 Mike Gilbert
2022-12-22 20:35 Bernard Cafarelli
2022-10-20 21:38 Bernard Cafarelli
2022-09-20 20:17 Bernard Cafarelli
2022-01-12 11:45 Bernard Cafarelli
2021-12-29 18:35 Bernard Cafarelli
2021-12-29 11:16 Bernard Cafarelli
2021-10-31 17:51 Sam James
2021-10-22 21:29 Bernard Cafarelli
2021-10-22 20:59 Bernard Cafarelli
2021-10-11  3:16 Sam James
2021-08-30 11:01 Bernard Cafarelli
2021-07-06  7:51 Bernard Cafarelli
2021-07-06  7:51 Bernard Cafarelli
2021-07-05 18:24 Bernard Cafarelli
2020-12-04 14:30 Bernard Cafarelli
2020-10-27 13:13 Bernard Cafarelli
2020-09-04 21:26 Bernard Cafarelli
2020-08-21 13:20 Bernard Cafarelli
2020-08-19 10:03 Bernard Cafarelli
2020-05-09 15:39 Bernard Cafarelli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1718361622.e7aa35a88d9de3daaed1a3ff551f416665809a61.voyageur@gentoo \
    --to=voyageur@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox